View Issue Details

IDProjectCategoryView StatusLast Update
0007342VALENTINA SERVEREvent Shcedulerpublic2015-11-22 12:05
ReporterSergey PashkovAssigned ToIvan Smahin 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version6.1 
Target Version6.2Fixed in Version6.1 
Summary0007342: One-time event with INTERVAL added and PRESERVE option turns into repeating event
DescriptionTry to create one-time event with preserve option, include INTERVAL into definition:
USE master;

CREATE EVENT IF NOT EXISTS "FutureReport"
    FOR DATABASE "valentina_sakila"
    ON SCHEDULE AT CURRENT_TIMESTAMP + INTERVAL 1 MINUTE
    ON COMPLETION PRESERVE
    ENABLED
    DO SELECT 1;

It will be executed each minute.

SHOW EVENTS for this event shows:

fld_created: "11/19/2015 18:06:08:601"
fld_execute_at: "11/19/2015 18:06:08:601"
fld_interval: 1
fld_unit: Minute

fld_created and fld_execute_at are equal, fld_interval and fld_unit are filled.
Additional InformationMySQL works differently, it calculates execution time, but interval and unit is not filled for one-time event.
TagsNo tags attached.

Activities

Sergey Pashkov

Sergey Pashkov

2015-11-19 17:17

developer   ~0008566

Without an INTERVAL it works right.
Ivan Smahin

Ivan Smahin

2015-11-20 14:33

manager   ~0008572

What's wrong with it?

As far as I get it, Valentina create event strictly following user's query:
"11/19/2015 18:06:08:601" + 1 minute.
MySql prefer to calculate it first:
"11/19/2015 18:07:08:601".

As for me no difference.
Sergey Pashkov

Sergey Pashkov

2015-11-20 15:07

developer   ~0008574

The difference is that a scheduler treats this event as repeating and execute it each minute.

Issue History

Date Modified Username Field Change
2015-11-19 16:20 Sergey Pashkov New Issue
2015-11-19 16:21 Sergey Pashkov Description Updated View Revisions
2015-11-19 17:17 Sergey Pashkov Note Added: 0008566
2015-11-20 14:33 Ivan Smahin Note Added: 0008572
2015-11-20 15:07 Sergey Pashkov Note Added: 0008574
2015-11-22 12:05 Ivan Smahin Status new => resolved
2015-11-22 12:05 Ivan Smahin Fixed in Version => 6.1
2015-11-22 12:05 Ivan Smahin Resolution open => fixed
2015-11-22 12:05 Ivan Smahin Assigned To => Ivan Smahin